Debian Bug report logs - #630919
workaround for keyring-packages fails with aptitude

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Jay Berkenbilt <qjb@debian.org>

Date: Sat, 18 Jun 2011 18:51:05 UTC

Severity: minor

Found in version live-build/3.0~a21-1

Fixed in version live-build/3.0~a22-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, qjb@debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630919; Package live-build. (Sat, 18 Jun 2011 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
New Bug report received and forwarded. Copy sent to qjb@debian.org, Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Jun 2011 18:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: submit@bugs.debian.org
Subject: live-build: --apt aptitude doesn't work because of --force-yes
Date: Sat, 18 Jun 2011 14:43:31 -0400
Package: live-build
Version: 3.0~a21-1
Severity: important

With a fully updated sid, the following actions:

mkdir debian-live
cd debian-live
lb config --apt aptitude
sudo lb build

ultimately fails with aptitude complaining about --force-yes.  Here's
an excerpt:

----------
Ign http://ftp.de.debian.org/debian/ squeeze-updates/main Translation-en
Hit http://ftp.de.debian.org squeeze Release
Get:4 http://security.debian.org squeeze/updates/main amd64 Packages [127 kB]
Get:5 http://ftp.de.debian.org squeeze-updates Release [113 kB]
Hit http://ftp.de.debian.org squeeze/main amd64 Packages
Get:6 http://ftp.de.debian.org squeeze-updates/main amd64 Packages [5193 B]
Fetched 286 kB in 1s (208 kB/s)

Current status: 3 updates [+3].
aptitude: unrecognized option '--force-yes'
aptitude 0.6.3
Usage: aptitude [-S fname] [-u|-i]
       aptitude [options] <action> ...
  Actions (if none is specified, aptitude will enter interactive mode):
----------

I'm not sure what exactly causes the use of --force-yes, but in this
case, I'm configuring nothing other than telling it to use aptitude.
This is using a squeeze image, which I know the debian live page says
doesn't currently work, but aptitude on sid also doesn't support
--force-yes, and I wanted to reproduce this with the minimal possible
use.

I'm justifying use of "important" because the failure is pretty
fundamental and makes the --apt aptitude flag useless.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                  0.5.7      Bootstrap a Debian system
ii  debootstrap                   1.0.32     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-7     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking
ii  fakeroot                   1.16-1        tool for simulating superuser priv
ii  genisoimage                9:1.1.11-1    Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
ii  parted                     2.3-6         disk partition manipulator
pn  squashfs-tools | mtd-tools <none>        (no description available)
ii  sudo                       1.7.4p6-1     Provide limited super user privile
ii  syslinux                   2:4.04+dfsg-2 collection of boot loaders
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- no debconf information




Changed Bug title to 'workaround for keyring-packages fails with aptitude' from 'live-build: --apt aptitude doesn't work because of --force-yes' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 18 Jun 2011 21:14:51 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 18 Jun 2011 21:14:51 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 18 Jun 2011 21:14:52 GMT) Full text and rfc822 format available.

Message sent on to Jay Berkenbilt <qjb@debian.org>:
Bug#630919. (Sat, 18 Jun 2011 21:14:57 GMT) Full text and rfc822 format available.

Message #14 received at 630919-submitter@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 630919-submitter@bugs.debian.org
Cc: 630919@bugs.debian.org
Subject: Re: live-build: --apt aptitude doesn't work because of --force-yes
Date: Sat, 18 Jun 2011 23:13:47 +0200
retitle 630919 workaround for keyring-packages fails with aptitude
severity 630919 minor
tag 630919 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630919; Package live-build. (Sat, 18 Jun 2011 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 18 Jun 2011 21:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#630919; Package live-build. (Fri, 24 Jun 2011 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Dixon <eddixonnm@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 24 Jun 2011 13:33:04 GMT) Full text and rfc822 format available.

Message #24 received at 630919@bugs.debian.org (full text, mbox):

From: Ed Dixon <eddixonnm@gmail.com>
To: daniel.baumann@progress-technologies.net, 630919@bugs.debian.org
Subject: Re: Bug#630919: live-build: --apt aptitude doesn't work because of --force-yes
Date: Fri, 24 Jun 2011 13:30:00 +0000
I am not sure but I think the Bug now exists in the Squeeze Repos?

P: Configuring file /etc/apt/sources.list
Reading package lists...
Building dependency tree...
The following NEW packages will be installed:
  apt-utils
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 271 kB of archives.
After this operation, 594 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  apt-utils
E: There are problems and -y was used without --force-yes
P: Begin unmounting filesystems...


On Sat, Jun 18, 2011 at 9:13 PM, Daniel Baumann
<daniel.baumann@progress-technologies.net> wrote:
> retitle 630919 workaround for keyring-packages fails with aptitude
> severity 630919 minor
> tag 630919 pending
> thanks
>
> fixed in git.
>
> --
> Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email:          daniel.baumann@progress-technologies.net
> Internet:       http://people.progress-technologies.net/~daniel.baumann/
>
>
>
> --
> To UNSUBSCRIBE, email to debian-live-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/4DFD150B.6010209@progress-technologies.net
>
>




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 29 Jun 2011 04:51:10 GMT) Full text and rfc822 format available.

Notification sent to Jay Berkenbilt <qjb@debian.org>:
Bug acknowledged by developer. (Wed, 29 Jun 2011 04:51:10 GMT) Full text and rfc822 format available.

Message #29 received at 630919-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 630919-close@bugs.debian.org
Subject: Bug#630919: fixed in live-build 3.0~a22-1
Date: Wed, 29 Jun 2011 04:47:12 +0000
Source: live-build
Source-Version: 3.0~a22-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a22-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a22-1_all.deb
live-build_3.0~a22-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a22-1.debian.tar.gz
live-build_3.0~a22-1.dsc
  to main/l/live-build/live-build_3.0~a22-1.dsc
live-build_3.0~a22-1_all.deb
  to main/l/live-build/live-build_3.0~a22-1_all.deb
live-build_3.0~a22.orig.tar.gz
  to main/l/live-build/live-build_3.0~a22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630919@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jun 2011 06:18:11 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a22-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 630464 630604 630919
Changes: 
 live-build (3.0~a22-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Using -wildcards option when calling mksquashfs with an excludes
     file.
 .
   [ Colin Watson ]
   * Make --architectures armel only fail if --linux-flavours was not
     passed (Closes: #630464).
 .
   [ Daniel Baumann ]
   * Renaming repositories option to archives for consistency with
     debian-policy terminology.
   * Renaming chroot_sources script to chroot_archives for consistency
     with debian-policy terminology.
   * Unifying config/chroot_archives and config/archives, now only using
     config/archives.
   * Setting default distribution to wheezy (at least until #622838 is
     handled).
   * Changing archives key suffix from .gpg to .key.
   * Using .list suffix in config/archives.
   * Unifying config/chroot_local-packagelists and config/binary_local-
     packagelists.
   * Moving internal global package lists from 'lists' to 'package-
     lists'. This is not a user visible change.
   * Moving config/chroot_local-tasklists/*.list to config/task-
     lists/*.chroot.list, analogue to config/package-lists.
   * Since we don't have global tasks anymore, renaming lb_chroot_local-
     tasklists to lb_chroot_task-lists.
   * Since we don't have global packages anymore, renaming
     lb_chroot_local-packages to lb_chroot_packages and
     config/chroot_local-packages to config/chroot_packages.
 .
   [ Colin Watson ]
   * Fix default for LB_PARENT_ARCHIVE_AREAS (Closes: #630604).
 .
   [ Daniel Baumann ]
   * Correct rmdir call in top-level Makefiles uninstall target to not
     fail if there was no prior live-build installation.
   * Adjust name of archives directory in config tree.
   * Removing forgotten reference to chroot_packages in lb_chroot.
   * Correct keyring packages temporary workaround to not fail when
     aptitude is selected (Closes: #630919).
   * Making copyright file distribution neutral.
   * Making copyright headers distribution neutral.
   * Making help message about missing po4a in manpages makefile
     distribution neutral.
Checksums-Sha1: 
 e153f7c7dac7a420fed116fdb7d7831a6ac4a2b2 1282 live-build_3.0~a22-1.dsc
 4e45ae32a035bbfeafc54c43e732bd88d4d87e3e 1885736 live-build_3.0~a22.orig.tar.gz
 4927d652c21be1dcf29562225bc1eb3e427e2276 42393 live-build_3.0~a22-1.debian.tar.gz
 c66c0b18fc160e1232d3176b301992f94bb06929 1132938 live-build_3.0~a22-1_all.deb
 ca02cd01ed3ccd0f90533f3c8fad67cf70880f84 58804 live-build-cgi_3.0~a22-1_all.deb
Checksums-Sha256: 
 16d697f321f6fe8a1019ac351fa83b8b860734691ac6a6dd0c88a1766cc0e1f3 1282 live-build_3.0~a22-1.dsc
 a0cfa0701de54d3c7dc48c0bfe957391a12e17d16b18df8b8ddc18a347bc21e6 1885736 live-build_3.0~a22.orig.tar.gz
 2295ded11c71e41d47f488b8e49e1e6395803d9796688d5e3b89e43b50070f5e 42393 live-build_3.0~a22-1.debian.tar.gz
 a90f447195717b3013cfb62ce5165412f256cdaf9dcf5445dca095d5f4b8efe7 1132938 live-build_3.0~a22-1_all.deb
 99213d1c5ad80cabcb3678e516b9e426c6c7536516b7ddb22a8cae85e6db1bb9 58804 live-build-cgi_3.0~a22-1_all.deb
Files: 
 7b2f5bfb90e11559de90c1d967f040d7 1282 misc optional live-build_3.0~a22-1.dsc
 7f8fe0b503fdecf06a3350d28c94e168 1885736 misc optional live-build_3.0~a22.orig.tar.gz
 389f639592880c109b9c6894431d0fd4 42393 misc optional live-build_3.0~a22-1.debian.tar.gz
 bcd18f2e8eac94c8317d959f18745579 1132938 misc optional live-build_3.0~a22-1_all.deb
 39112eab72103052e27a91896c550861 58804 misc optional live-build-cgi_3.0~a22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4KqlAACgkQ+C5cwEsrK57r4gCgzbFNichkyrQoIVTlOcri1pXF
dbYAoMLEyHuHD6XearMTrtGCBLBxjTZh
=z2XM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:57:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.